/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_boton_01}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_1").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_1").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_0").hide();
         sym.$("contenido_2").hide();
         sym.$("contenido_3").hide();
         sym.$("contenido_4").hide();
         sym.$("contenido_5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_02}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_2").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_2").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_0").hide();
         sym.$("contenido_1").hide();
         sym.$("contenido_3").hide();
         sym.$("contenido_4").hide();
         sym.$("contenido_5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_03}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_3").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_3").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_0").hide();
         sym.$("contenido_1").hide();
         sym.$("contenido_2").hide();
         sym.$("contenido_4").hide();
         sym.$("contenido_5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_04}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_4").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_4").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_0").hide();
         sym.$("contenido_1").hide();
         sym.$("contenido_2").hide();
         sym.$("contenido_3").hide();
         sym.$("contenido_5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_boton_05}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_5").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_5").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_0").hide();
         sym.$("contenido_1").hide();
         sym.$("contenido_2").hide();
         sym.$("contenido_3").hide();
         sym.$("contenido_4").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BOTON_VOLVER_1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_0").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_0").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_1").hide();
         sym.$("contenido_2").hide();
         sym.$("contenido_3").hide();
         sym.$("contenido_4").hide();
         sym.$("contenido_5").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BOTON_VOLVER}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("contenido_0").play(1);
         
         
         // Mostrar un elemento 
         sym.$("contenido_0").show();
         
         
         // Ocultar un elemento 
         sym.$("contenido_1").hide();
         sym.$("contenido_2").hide();
         sym.$("contenido_3").hide();
         sym.$("contenido_4").hide();
         sym.$("contenido_5").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'Symbol_1'
   (function(symbolName) {   
   
   })("Symbol_1");
   //Edge symbol end:'Symbol_1'

   //=========================================================
   
   //Edge symbol: 'Symbol_2'
   (function(symbolName) {   
   
   })("Symbol_2");
   //Edge symbol end:'Symbol_2'

   //=========================================================
   
   //Edge symbol: 'Symbol_3'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         
         //TEXTAREA//
         
         sym.$("TextArea_01").append(document.createElement("TextArea"));
         $('input[type=text], textarea').css({
         	width:'525px',
         	height:'220px',
         	border:'none',
         	background:'#FFFFFF',
         	fontSize:'26px',
         	lineHeight:'40px',
         	textAlign:'left',
         	margin:'10px',
         	fontFamily:'Cabin',
         	fontStyle:'normal',
         	color:'normal',
         	fontStyle:'#666666'
         });
         
         //TERMINA EL TEXT AREA//

      });
      //Edge binding end

   })("Symbol_3");
   //Edge symbol end:'Symbol_3'

   //=========================================================
   
   //Edge symbol: 'brackground'
   (function(symbolName) {   
   
   })("brackground");
   //Edge symbol end:'brackground'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         });
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion); 
         
         $("audio").prop("muted", true);
         
         	if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	//elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'girl'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 14930, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("girl");
   //Edge symbol end:'girl'

   //=========================================================
   
   //Edge symbol: 'burbuja_02'
   (function(symbolName) {   
   
   })("burbuja_02");
   //Edge symbol end:'burbuja_02'

   //=========================================================
   
   //Edge symbol: 'contenido_0'
   (function(symbolName) {   
   
   })("contenido_0");
   //Edge symbol end:'contenido_0'

   //=========================================================
   
   //Edge symbol: 'boton_brillo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1069, function(sym, e) {
         sym.play("brillo");

      });
      //Edge binding end

   })("boton_brillo");
   //Edge symbol end:'boton_brillo'

   //=========================================================
   
   //Edge symbol: 'contenido_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("contenido_1");
   //Edge symbol end:'contenido_1'

   //=========================================================
   
   //Edge symbol: 'texto_contenido_1'
   (function(symbolName) {   
   
   })("texto_contenido_1");
   //Edge symbol end:'texto_contenido_1'

   //=========================================================
   
   //Edge symbol: 'contenido_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("contenido_2");
   //Edge symbol end:'contenido_2'

   //=========================================================
   
   //Edge symbol: 'texto_contenido_2'
   (function(symbolName) {   
   
   })("texto_contenido_2");
   //Edge symbol end:'texto_contenido_2'

   //=========================================================
   
   //Edge symbol: 'contenido_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("contenido_3");
   //Edge symbol end:'contenido_3'

   //=========================================================
   
   //Edge symbol: 'contenido_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("contenido_4");
   //Edge symbol end:'contenido_4'

   //=========================================================
   
   //Edge symbol: 'contenido_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("contenido_5");
   //Edge symbol end:'contenido_5'

   //=========================================================
   
   //Edge symbol: 'texto_contenido_3'
   (function(symbolName) {   
   
   })("texto_contenido_3");
   //Edge symbol end:'texto_contenido_3'

   //=========================================================
   
   //Edge symbol: 'texto_contenido_4'
   (function(symbolName) {   
   
   })("texto_contenido_4");
   //Edge symbol end:'texto_contenido_4'

   //=========================================================
   
   //Edge symbol: 'texto_contenido_5'
   (function(symbolName) {   
   
   })("texto_contenido_5");
   //Edge symbol end:'texto_contenido_5'

})(jQuery, AdobeEdge, "EDGE-1010687340");